OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.StencilClearTag

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTStencilClearTag :: MonadIO m => m Bool
- gl_EXT_stencil_clear_tag :: Bool
- pattern GL_STENCIL_CLEAR_TAG_VALUE_EXT :: GLenum
- pattern GL_STENCIL_TAG_BITS_EXT :: GLenum
- glStencilClearTagEXT :: MonadIO m => GLsizei -> GLuint -> m ()

# Extension Support

glGetEXTStencilClearTag :: MonadIO m => m Bool Source #

Is the EXT_stencil_clear_tag extension supported?

gl_EXT_stencil_clear_tag :: Bool Source #

Is the EXT_stencil_clear_tag extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTStencilClearTag` in those cases instead.

# Enums

pattern GL_STENCIL_CLEAR_TAG_VALUE_EXT :: GLenum Source #

pattern GL_STENCIL_TAG_BITS_EXT :: GLenum Source #

# Functions

glStencilClearTagEXT Source #

Arguments

:: MonadIO m |
=> GLsizei | `stencilTagBits`.
-> GLuint | `stencilClearTag`.
-> m () |